"""
10.8 패키지의 데이터 파일 읽기
문제: 패키지에 포함된 데이터 파일을 읽되 호환성이 높아야 한다.
해결: pkhuyil
"""

import pkgutil

# 바이트 문자열로 출력
data = pkgutil.get_data('ch10_08', 'data.dat')
print(data)

# open 의 문제점
# 1. 패키지는 인터프리터에서 현재 작업 중인 디렉터리에 대한 제어 능력이 극히 부족.
# 따라서 모든 입출력 동작은 절대경로 파일명 사용하면 코드가 복잡해짐.
# 2. 패키지는 종종 zip, egg 파일 등을 설치되어 open으로 열려고 시도하면 제대로 동작 안함
